using System;
using System.Drawing;
using System.Windows.Forms;
using System.Runtime.InteropServices;
using AddinExpress.OL;

namespace adx_ol_cs_formRegionVisibility
{
    public partial class frmExplorerRegion : AddinExpress.OL.ADXOlForm
    {
        private bool WasHiddenByButtonClick = false;

        public frmExplorerRegion()
        {
            InitializeComponent();
        }

        private void btnHide_Click(object sender, EventArgs e)
        {
            WasHiddenByButtonClick = true;
            this.Hide();
            (AddinModule as AddinModule).HiddenExplorerForm = this;
        }

        private void frmExplorerRegion_ADXBeforeFormShow()
        {
            if (WasHiddenByButtonClick)
            {
                this.Visible = false;
                (AddinModule as AddinModule).HiddenExplorerForm = this;
            }
            else
            {
                (AddinModule as AddinModule).HiddenExplorerForm = null;
            }
        }

        public void ShowAndClearHideIndication()
        {
            WasHiddenByButtonClick = false;
            this.Show();
        }
    }
}
