﻿using System;
using System.Runtime.InteropServices;
using System.ComponentModel;
using System.Windows.Forms;
using AddinExpress.MSO;
using Outlook = Microsoft.Office.Interop.Outlook;
using System.Globalization;

namespace adx_ol_cs_formRegionVisibility
{
    /// <summary>
    ///   Add-in Express Add-in Module
    /// </summary>
    [GuidAttribute("F1A9699E-73D6-4475-991D-D40365C6005C"), ProgId("adx_ol_cs_formRegionVisibility.AddinModule")]
    public class AddinModule : AddinExpress.MSO.ADXAddinModule
    {
        public AddinModule()
        {
            Application.EnableVisualStyles();
            InitializeComponent();
            // Please add any initialization code to the AddinInitialize event handler
        }

        private ImageList imageList1;
        private ADXOlExplorerCommandBar adxOlExplorerCommandBar1;
        private ADXCommandBarComboBox adxExplorerCommandBarComboBox;
        private ADXCommandBarButton RestoreCommandBarButton;
        private ADXOlInspectorCommandBar adxOlInspectorCommandBar1;
        internal ADXCommandBarButton adxInspectorCommandBarButton1;
        private ADXRibbonTab adxRibbonTabInspector;
        private ADXRibbonGroup adxRibbonGroup1;
        internal ADXRibbonButton adxRibbonButton1;
        private ADXRibbonTab adxRibbonTabExplorer;
        private ADXRibbonGroup adxRibbonGroup2;
        private AddinExpress.OL.ADXOlFormsManager adxOlFormsManager1;
        private AddinExpress.OL.ADXOlFormsCollectionItem adxOlFormsCollectionItemExplorer;
        private AddinExpress.OL.ADXOlFormsCollectionItem adxOlFormsCollectionItemInspector;
        private ADXRibbonComboBox adxRibbonComboBox1;
        private ADXRibbonItem adxRibbonItem1;
        private ADXRibbonItem adxRibbonItem2;
        private ADXRibbonButton adxRibbonButtonRestoreExplorerRegion;
        private ADXRibbonTab adxRibbonTabInspectorRead;
        private ADXRibbonGroup adxRibbonGroup3;
        internal ADXRibbonButton adxRibbonButton2;

        #region Component Designer generated code
        /// <summary>
        /// Required by designer
        /// </summary>
        private System.ComponentModel.IContainer components;

        /// <summary>
        /// Required by designer support - do not modify
        /// the following method
        /// </summary>
        private void InitializeComponent()
        {
            this.components = new System.ComponentModel.Container();
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(AddinModule));
            this.imageList1 = new System.Windows.Forms.ImageList(this.components);
            this.adxOlExplorerCommandBar1 = new AddinExpress.MSO.ADXOlExplorerCommandBar(this.components);
            this.adxExplorerCommandBarComboBox = new AddinExpress.MSO.ADXCommandBarComboBox(this.components);
            this.RestoreCommandBarButton = new AddinExpress.MSO.ADXCommandBarButton(this.components);
            this.adxOlInspectorCommandBar1 = new AddinExpress.MSO.ADXOlInspectorCommandBar(this.components);
            this.adxInspectorCommandBarButton1 = new AddinExpress.MSO.ADXCommandBarButton(this.components);
            this.adxRibbonTabInspector = new AddinExpress.MSO.ADXRibbonTab(this.components);
            this.adxRibbonGroup1 = new AddinExpress.MSO.ADXRibbonGroup(this.components);
            this.adxRibbonButton1 = new AddinExpress.MSO.ADXRibbonButton(this.components);
            this.adxRibbonTabExplorer = new AddinExpress.MSO.ADXRibbonTab(this.components);
            this.adxRibbonGroup2 = new AddinExpress.MSO.ADXRibbonGroup(this.components);
            this.adxOlFormsManager1 = new AddinExpress.OL.ADXOlFormsManager(this.components);
            this.adxOlFormsCollectionItemExplorer = new AddinExpress.OL.ADXOlFormsCollectionItem(this.components);
            this.adxOlFormsCollectionItemInspector = new AddinExpress.OL.ADXOlFormsCollectionItem(this.components);
            this.adxRibbonComboBox1 = new AddinExpress.MSO.ADXRibbonComboBox(this.components);
            this.adxRibbonItem1 = new AddinExpress.MSO.ADXRibbonItem(this.components);
            this.adxRibbonItem2 = new AddinExpress.MSO.ADXRibbonItem(this.components);
            this.adxRibbonButtonRestoreExplorerRegion = new AddinExpress.MSO.ADXRibbonButton(this.components);
            this.adxRibbonTabInspectorRead = new AddinExpress.MSO.ADXRibbonTab(this.components);
            this.adxRibbonGroup3 = new AddinExpress.MSO.ADXRibbonGroup(this.components);
            this.adxRibbonButton2 = new AddinExpress.MSO.ADXRibbonButton(this.components);
            // 
            // imageList1
            // 
            this.imageList1.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imageList1.ImageStream")));
            this.imageList1.TransparentColor = System.Drawing.Color.Transparent;
            this.imageList1.Images.SetKeyName(0, "adx");
            // 
            // adxOlExplorerCommandBar1
            // 
            this.adxOlExplorerCommandBar1.CommandBarName = "VisibilityVs2005cs1";
            this.adxOlExplorerCommandBar1.CommandBarTag = "24ae82fc-85df-4f2f-adfc-9a4c8af3c32a";
            this.adxOlExplorerCommandBar1.Controls.Add(this.adxExplorerCommandBarComboBox);
            this.adxOlExplorerCommandBar1.Controls.Add(this.RestoreCommandBarButton);
            this.adxOlExplorerCommandBar1.Temporary = true;
            this.adxOlExplorerCommandBar1.UpdateCounter = 43;
            // 
            // adxExplorerCommandBarComboBox
            // 
            this.adxExplorerCommandBarComboBox.Caption = "Show frmExplorerRegion for";
            this.adxExplorerCommandBarComboBox.ControlTag = "bc248ba6-0ee0-418e-8423-e258f46d2d02";
            this.adxExplorerCommandBarComboBox.DropDownWidth = 200;
            this.adxExplorerCommandBarComboBox.Items.AddRange(new string[] {
            "Inbox only",
            "Inbox and subfolders"});
            this.adxExplorerCommandBarComboBox.ListIndex = 1;
            this.adxExplorerCommandBarComboBox.Style = AddinExpress.MSO.ADXMsoComboStyle.adxMsoComboLabel;
            this.adxExplorerCommandBarComboBox.Temporary = true;
            this.adxExplorerCommandBarComboBox.UpdateCounter = 68;
            this.adxExplorerCommandBarComboBox.Width = 250;
            this.adxExplorerCommandBarComboBox.Change += new AddinExpress.MSO.ADXChange_EventHandler(this.adxExplorerCommandBarComboBox_Change);
            // 
            // RestoreCommandBarButton
            // 
            this.RestoreCommandBarButton.Caption = "Restore ADXOlForm1";
            this.RestoreCommandBarButton.ControlTag = "6108e3b3-8835-4cc1-9d2e-f08a1bbc0770";
            this.RestoreCommandBarButton.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.RestoreCommandBarButton.Temporary = true;
            this.RestoreCommandBarButton.UpdateCounter = 21;
            this.RestoreCommandBarButton.Visible = false;
            // 
            // adxOlInspectorCommandBar1
            // 
            this.adxOlInspectorCommandBar1.CommandBarName = "regionVisibilityBar";
            this.adxOlInspectorCommandBar1.CommandBarTag = "67581785-5a9c-44a5-bc30-7e79c5df59b6";
            this.adxOlInspectorCommandBar1.Controls.Add(this.adxInspectorCommandBarButton1);
            this.adxOlInspectorCommandBar1.Temporary = true;
            this.adxOlInspectorCommandBar1.UpdateCounter = 47;
            // 
            // adxInspectorCommandBarButton1
            // 
            this.adxInspectorCommandBarButton1.Caption = "Show frmInspectorRegion";
            this.adxInspectorCommandBarButton1.ControlTag = "d4d33325-26d1-4145-9eac-d6ff41dc4fb1";
            this.adxInspectorCommandBarButton1.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxInspectorCommandBarButton1.Temporary = true;
            this.adxInspectorCommandBarButton1.UpdateCounter = 27;
            this.adxInspectorCommandBarButton1.Click += new AddinExpress.MSO.ADXClick_EventHandler(this.adxInspectorCommandBarButton1_Click);
            // 
            // adxRibbonTabInspector
            // 
            this.adxRibbonTabInspector.Caption = "Add-in Express";
            this.adxRibbonTabInspector.Controls.Add(this.adxRibbonGroup1);
            this.adxRibbonTabInspector.Id = "FormEmbeddingSamplesID";
            this.adxRibbonTabInspector.InsertBeforeId = "TabNewMailMessage";
            this.adxRibbonTabInspector.Ribbons = AddinExpress.MSO.ADXRibbons.msrOutlookMailCompose;
            this.adxRibbonTabInspector.Shared = true;
            // 
            // adxRibbonGroup1
            // 
            this.adxRibbonGroup1.Caption = "Inspector";
            this.adxRibbonGroup1.Controls.Add(this.adxRibbonButton1);
            this.adxRibbonGroup1.Id = "adxRibbonGroup_72cfcd68ce6a4926bb8e4ba8e7e2b1b5";
            this.adxRibbonGroup1.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxRibbonGroup1.Ribbons = AddinExpress.MSO.ADXRibbons.msrOutlookMailCompose;
            // 
            // adxRibbonButton1
            // 
            this.adxRibbonButton1.Caption = "Show Inspector Region Form";
            this.adxRibbonButton1.Id = "adxRibbonButton_2fb17369b68a4a21b25b52b95f6e5b75";
            this.adxRibbonButton1.Image = 0;
            this.adxRibbonButton1.ImageList = this.imageList1;
            this.adxRibbonButton1.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxRibbonButton1.Pressed = true;
            this.adxRibbonButton1.Ribbons = AddinExpress.MSO.ADXRibbons.msrOutlookMailCompose;
            this.adxRibbonButton1.OnClick += new AddinExpress.MSO.ADXRibbonOnAction_EventHandler(this.adxRibbonButton1_OnClick);
            // 
            // adxRibbonTabExplorer
            // 
            this.adxRibbonTabExplorer.Caption = "Add-in Express";
            this.adxRibbonTabExplorer.Controls.Add(this.adxRibbonGroup2);
            this.adxRibbonTabExplorer.Id = "adxRibbonTab_bf39d6aa9eee47fb94d70e49bbccb005";
            this.adxRibbonTabExplorer.Ribbons = AddinExpress.MSO.ADXRibbons.msrOutlookExplorer;
            // 
            // adxRibbonGroup2
            // 
            this.adxRibbonGroup2.Caption = "Explorer";
            this.adxRibbonGroup2.Controls.Add(this.adxRibbonComboBox1);
            this.adxRibbonGroup2.Controls.Add(this.adxRibbonButtonRestoreExplorerRegion);
            this.adxRibbonGroup2.Id = "adxRibbonGroup_350f8d2a00c448d185d2da2ae2eff188";
            this.adxRibbonGroup2.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxRibbonGroup2.Ribbons = AddinExpress.MSO.ADXRibbons.msrOutlookExplorer;
            // 
            // adxOlFormsManager1
            // 
            this.adxOlFormsManager1.Items.Add(this.adxOlFormsCollectionItemExplorer);
            this.adxOlFormsManager1.Items.Add(this.adxOlFormsCollectionItemInspector);
            this.adxOlFormsManager1.ADXBeforeFolderSwitchEx += new AddinExpress.OL.ADXOlFormsManager.BeforeFolderSwitchEx_EventHandler(this.adxOlFormsManager1_ADXBeforeFolderSwitchEx);
            this.adxOlFormsManager1.OnInitialize += new AddinExpress.OL.ADXOlFormsManager.OnComponentInitialize_EventHandler(this.adxOlFormsManager1_OnInitialize);
            this.adxOlFormsManager1.ADXBeforeFormInstanceCreate += new AddinExpress.OL.ADXOlFormsManager.BeforeFormInstanceCreate_EventHandler(this.adxOlFormsManager1_ADXBeforeFormInstanceCreate);
            this.adxOlFormsManager1.OnError += new AddinExpress.OL.ADXOlFormsManager.Error_EventHandler(this.adxOlFormsManager1_OnError);
            this.adxOlFormsManager1.SetOwner(this);
            // 
            // adxOlFormsCollectionItemExplorer
            // 
            this.adxOlFormsCollectionItemExplorer.ExplorerLayout = AddinExpress.OL.ADXOlExplorerLayout.BottomSubpane;
            this.adxOlFormsCollectionItemExplorer.FormClassName = "adx_ol_cs_formRegionVisibility.frmExplorerRegion";
            this.adxOlFormsCollectionItemExplorer.UseOfficeThemeForBackground = true;
            // 
            // adxOlFormsCollectionItemInspector
            // 
            this.adxOlFormsCollectionItemInspector.FormClassName = "adx_ol_cs_formRegionVisibility.frmInspectorRegion";
            this.adxOlFormsCollectionItemInspector.InspectorItemTypes = AddinExpress.OL.ADXOlInspectorItemTypes.olMail;
            this.adxOlFormsCollectionItemInspector.InspectorLayout = AddinExpress.OL.ADXOlInspectorLayout.RightSubpane;
            this.adxOlFormsCollectionItemInspector.UseOfficeThemeForBackground = true;
            // 
            // adxRibbonComboBox1
            // 
            this.adxRibbonComboBox1.Caption = "Show frmExplorerRegion for";
            this.adxRibbonComboBox1.Id = "adxRibbonComboBox_fa5829d4867a41249d732989dfb752dc";
            this.adxRibbonComboBox1.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxRibbonComboBox1.Items.Add(this.adxRibbonItem1);
            this.adxRibbonComboBox1.Items.Add(this.adxRibbonItem2);
            this.adxRibbonComboBox1.Ribbons = AddinExpress.MSO.ADXRibbons.msrOutlookExplorer;
            this.adxRibbonComboBox1.OnChange += new AddinExpress.MSO.ADXRibbonOnActionChange_EventHandler(this.adxRibbonComboBox1_OnChange);
            // 
            // adxRibbonItem1
            // 
            this.adxRibbonItem1.Caption = "Inbox only";
            this.adxRibbonItem1.Id = "adxRibbonItem_4109a0357d954f29bc55cad7a5d3329a";
            this.adxRibbonItem1.ImageTransparentColor = System.Drawing.Color.Transparent;
            // 
            // adxRibbonItem2
            // 
            this.adxRibbonItem2.Caption = "Inbox and subfolders";
            this.adxRibbonItem2.Id = "adxRibbonItem_332c7f636a7d4f169c801734dfe15769";
            this.adxRibbonItem2.ImageTransparentColor = System.Drawing.Color.Transparent;
            // 
            // adxRibbonButtonRestoreExplorerRegion
            // 
            this.adxRibbonButtonRestoreExplorerRegion.Caption = "Restore frmExplorerRegion";
            this.adxRibbonButtonRestoreExplorerRegion.Id = "adxRibbonButton_9bb4f82cffb54b6981988eac25c8dca4";
            this.adxRibbonButtonRestoreExplorerRegion.Image = 0;
            this.adxRibbonButtonRestoreExplorerRegion.ImageList = this.imageList1;
            this.adxRibbonButtonRestoreExplorerRegion.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxRibbonButtonRestoreExplorerRegion.Ribbons = AddinExpress.MSO.ADXRibbons.msrOutlookExplorer;
            this.adxRibbonButtonRestoreExplorerRegion.OnClick += new AddinExpress.MSO.ADXRibbonOnAction_EventHandler(this.adxRibbonButtonRestoreExplorerRegion_OnClick);
            // 
            // adxRibbonTabInspectorRead
            // 
            this.adxRibbonTabInspectorRead.Caption = "Form Embedding Samples";
            this.adxRibbonTabInspectorRead.Controls.Add(this.adxRibbonGroup3);
            this.adxRibbonTabInspectorRead.Id = "FormEmbeddingSamplesID";
            this.adxRibbonTabInspectorRead.InsertBeforeId = "TabReadMessage";
            this.adxRibbonTabInspectorRead.Ribbons = AddinExpress.MSO.ADXRibbons.msrOutlookMailRead;
            this.adxRibbonTabInspectorRead.Shared = true;            
            // 
            // adxRibbonGroup3
            // 
            this.adxRibbonGroup3.Caption = "Inspector (Read)";
            this.adxRibbonGroup3.Controls.Add(this.adxRibbonButton2);
            this.adxRibbonGroup3.Id = "adxRibbonGroup_8fdb52df5aa44585a28d06d0966dd10b";
            this.adxRibbonGroup3.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxRibbonGroup3.Ribbons = AddinExpress.MSO.ADXRibbons.msrOutlookMailRead;
            // 
            // adxRibbonButton2
            // 
            this.adxRibbonButton2.Caption = "Show Inspector Region Form";
            this.adxRibbonButton2.Id = "adxRibbonButton_89eedf32af6c43e69c0981050dea17ab";
            this.adxRibbonButton2.Image = 0;
            this.adxRibbonButton2.ImageList = this.imageList1;
            this.adxRibbonButton2.ImageTransparentColor = System.Drawing.Color.Transparent;
            this.adxRibbonButton2.Pressed = true;
            this.adxRibbonButton2.Ribbons = AddinExpress.MSO.ADXRibbons.msrOutlookMailRead;
            this.adxRibbonButton2.OnClick += new AddinExpress.MSO.ADXRibbonOnAction_EventHandler(this.adxRibbonButton2_OnClick);
            // 
            // AddinModule
            // 
            this.AddinName = "adx_ol_cs_formRegionVisibility";
            this.SupportedApps = AddinExpress.MSO.ADXOfficeHostApp.ohaOutlook;
            this.OnSendMessage += new AddinExpress.MSO.ADXSendMessage_EventHandler(this.AddinModule_OnSendMessage);

        }
        #endregion

        #region Add-in Express automatic code

        // Required by Add-in Express - do not modify
        // the methods within this region

        public override System.ComponentModel.IContainer GetContainer()
        {
            if (components == null)
                components = new System.ComponentModel.Container();
            return components;
        }

        [ComRegisterFunctionAttribute]
        public static void AddinRegister(Type t)
        {
            AddinExpress.MSO.ADXAddinModule.ADXRegister(t);
        }

        [ComUnregisterFunctionAttribute]
        public static void AddinUnregister(Type t)
        {
            AddinExpress.MSO.ADXAddinModule.ADXUnregister(t);
        }

        public override void UninstallControls()
        {
            base.UninstallControls();
        }

        #endregion

        private ExplorerFormDisplayMode explorerMode = ExplorerFormDisplayMode.Unknown;
        private frmExplorerRegion _hiddenExplorerForm = null;
        internal bool ShowByInspectorCommandBarButtonClick = false;
        private const int WM_INSPECTOR_BUTTON_CLICK = 0x0400 + 1000;
        private int _outlookVersion = 0;
        private Outlook.MAPIFolder _inboxFolder = null;
        private Outlook.MAPIFolder _rootFolder = null;

        private enum ExplorerFormDisplayMode
        {
            Unknown,
            InboxOnlyItem,
            InboxAndSubfoldersItem
        }

        public static new AddinModule CurrentInstance
        {
            get
            {
                return AddinExpress.MSO.ADXAddinModule.CurrentInstance as AddinModule;
            }
        }

        public Outlook._Application OutlookApp
        {
            get
            {
                return (HostApplication as Outlook._Application);
            }
        }

        private void adxInspectorCommandBarButton1_Click(object sender)
        {
            this.SendMessage(WM_INSPECTOR_BUTTON_CLICK, IntPtr.Zero, IntPtr.Zero);
            //Note, Outlook will hang if you use the Outlook.ActiveInspector property 
            //in the CommandBarButton.Click event when Word is set as the default e-mail editor.
        }

        private void AddinModule_OnSendMessage(object sender, ADXSendMessageEventArgs e)
        {
            if (e.Message == WM_INSPECTOR_BUTTON_CLICK)
                ProcessInspectorButtonClick();
        }

        private void ProcessInspectorButtonClick()
        {
            ShowByInspectorCommandBarButtonClick = true;
            try
            {
                Outlook.Inspector activeInspector = OutlookApp.ActiveInspector();
                if (activeInspector != null)
                    try
                    {
                        adxOlFormsCollectionItemInspector.ApplyTo(activeInspector);
                    }
                    finally
                    {
                        Marshal.ReleaseComObject(activeInspector);
                    }
            }
            finally
            {
                ShowByInspectorCommandBarButtonClick = false;
            }
        }

        private void adxExplorerCommandBarComboBox_Change(object sender)
        {
            Outlook.Explorer activeExplorer = null;
            Outlook.MAPIFolder currentFolder = null;
            try
            {
                activeExplorer = OutlookApp.ActiveExplorer();
                if (activeExplorer != null)
                {
                    currentFolder = activeExplorer.CurrentFolder;
                }
                ExplorerFormDisplayMode newExplorerMode = ExplorerFormDisplayMode.Unknown;
                if (adxExplorerCommandBarComboBox.Text == "Inbox only")
                {
                    newExplorerMode = ExplorerFormDisplayMode.InboxOnlyItem;
                }
                if (adxExplorerCommandBarComboBox.Text == "Inbox and subfolders")
                {
                    newExplorerMode = ExplorerFormDisplayMode.InboxAndSubfoldersItem;
                }
                if (newExplorerMode != this.explorerMode)
                {
                    SetExplorerFormDisplayMode(newExplorerMode, currentFolder);
                    adxOlFormsCollectionItemExplorer.ApplyTo(activeExplorer);
                }
            }
            finally
            {
                if (activeExplorer != null) Marshal.ReleaseComObject(activeExplorer);
                if (currentFolder != null) Marshal.ReleaseComObject(currentFolder);
            }
        }

        public frmExplorerRegion HiddenExplorerForm
        {
            get
            {
                return _hiddenExplorerForm;
            }
            set
            {
                _hiddenExplorerForm = value;
                if (_hiddenExplorerForm == null)
                {
                    RestoreCommandBarButton.Visible = false;
                }
                else
                {
                    RestoreCommandBarButton.Visible = true;
                }
            }
        }

        private void SetExplorerFormDisplayMode(ExplorerFormDisplayMode ExplorerMode, Outlook.MAPIFolder currentFolder)
        {
            if (explorerMode != ExplorerMode)
            {
                switch (ExplorerMode)
                {
                    case ExplorerFormDisplayMode.InboxOnlyItem:

                        //Hide a visible form when current folder is not the Inbox folder.
                        bool TheCurrentFolderIsInboxFolder = IsInboxFolder(currentFolder);
                        if (!TheCurrentFolderIsInboxFolder)
                        {
                            AddinExpress.OL.ADXOlForm visibleForm = null;
                            for (int i = 0; i < adxOlFormsCollectionItemExplorer.FormInstanceCount; i++)
                            {
                                if (adxOlFormsCollectionItemExplorer.FormInstances(i).Visible)
                                {
                                    visibleForm = adxOlFormsCollectionItemExplorer.FormInstances(i);
                                    break;
                                }
                            }
                            if (visibleForm != null)
                                visibleForm.Hide();
                        }
                        // Note that all invisible cached forms will be deleted.
                        adxOlFormsCollectionItemExplorer.FolderName = InboxFullFolderName;
                        break;

                    //See the ADXOlFormsManager.ADXBeforeFormInstanceCreate event for the code that works in the InboxAndSubfoldersItem mode.
                    case ExplorerFormDisplayMode.InboxAndSubfoldersItem:
                        // Note that all invisible cached forms will be deleted.
                        adxOlFormsCollectionItemExplorer.FolderName = "*";
                        break;
                }
                this.explorerMode = ExplorerMode;
            }
        }

        private void adxOlFormsManager1_ADXBeforeFolderSwitchEx(object sender, AddinExpress.OL.BeforeFolderSwitchExEventArgs args)
        {
            HiddenExplorerForm = null;
        }

        private void adxOlFormsManager1_ADXBeforeFormInstanceCreate(object sender, AddinExpress.OL.BeforeFormInstanceCreateEventArgs args)
        {
            bool isExplorerForm = (args.ExplorerObj != null);
            if (isExplorerForm && (explorerMode == ExplorerFormDisplayMode.InboxAndSubfoldersItem)
                && (!IsUnderFolder(_inboxFolder, args.FolderObj as Outlook.MAPIFolder)))
            {
                //Prevent the form from being created
                args.Cancel = true;
            }
        }

        private void adxOlFormsManager1_OnError(object sender, AddinExpress.OL.ErrorEventArgs args)
        {
            args.Handled = true;
            MessageBox.Show("An error has been handled in the ADXOlFormsManagger.OnError event",
                "Controlling the Form Visibility", MessageBoxButtons.OK, MessageBoxIcon.None);
        }

        private void adxOlFormsManager1_OnInitialize()
        {
            if ((OutlookApp != null) && (_outlookVersion == 0))
                _outlookVersion = this.HostMajorVersion;

            _inboxFolder = GetDefaultFolder(OutlookApp, Outlook.OlDefaultFolders.olFolderInbox);
            _rootFolder = GetRootFolder(_inboxFolder);
            SetExplorerFormDisplayMode(ExplorerFormDisplayMode.InboxOnlyItem, null);
        }

        private void adxRibbonButton1_OnClick(object sender, IRibbonControl control, bool pressed)
        {
            ProcessInspectorButtonClick();
        }

        private void adxRibbonComboBox1_OnChange(object sender, IRibbonControl Control, string text)
        {
            Outlook.Explorer activeExplorer = null;
            Outlook.MAPIFolder currentFolder = null;
            try
            {
                activeExplorer = OutlookApp.ActiveExplorer();
                if (activeExplorer != null)
                {
                    currentFolder = activeExplorer.CurrentFolder;
                }
                ExplorerFormDisplayMode newExplorerMode = ExplorerFormDisplayMode.Unknown;
                if (text == "Inbox only")
                {
                    newExplorerMode = ExplorerFormDisplayMode.InboxOnlyItem;
                }
                if (text == "Inbox and subfolders")
                {
                    newExplorerMode = ExplorerFormDisplayMode.InboxAndSubfoldersItem;
                }
                if (newExplorerMode != this.explorerMode)
                {
                    SetExplorerFormDisplayMode(newExplorerMode, currentFolder);
                    adxOlFormsCollectionItemExplorer.ApplyTo(activeExplorer);
                }
            }
            finally
            {
                if (activeExplorer != null)
                    Marshal.ReleaseComObject(activeExplorer);
                if (currentFolder != null)
                    Marshal.ReleaseComObject(currentFolder);
            }
        }

        #region Outlook Object Model routines

        private string InboxFullFolderName
        {
            get
            {
                if ((_rootFolder != null) && (_inboxFolder != null))
                    return string.Concat(new string[] { _rootFolder.Name, @"\", _inboxFolder.Name });
                return string.Empty;
            }
        }

        private bool IsInboxFolder(Outlook.MAPIFolder folder)
        {
            return ((folder != null) &&
                (folder.EntryID == this._inboxFolder.EntryID));
        }

        private Outlook.MAPIFolder GetDefaultFolder(Outlook._Application OutlookAppObj, Outlook.OlDefaultFolders DefaultFolder)
        {
            Outlook.MAPIFolder result = null;
            try
            {
                Outlook.NameSpace OutlookNameSpaceObj = OutlookAppObj.GetNamespace("MAPI");
                if (OutlookNameSpaceObj != null)
                    try
                    {
                        result = OutlookNameSpaceObj.GetDefaultFolder(DefaultFolder);
                    }
                    finally
                    {
                        Marshal.ReleaseComObject(OutlookNameSpaceObj);
                    }
                return result;
            }
            catch
            {
                return null;
            }
        }

        private Outlook.MAPIFolder GetRootFolder(Outlook.MAPIFolder inboxFolder)
        {
            if (inboxFolder != null)
                try
                {
                    object parent = inboxFolder.Parent;
                    Outlook.MAPIFolder rootFolder = parent as Outlook.MAPIFolder;
                    try
                    {
                        return rootFolder;
                    }
                    finally
                    {
                        if ((parent != null) && (rootFolder == null))
                        {
                            Marshal.ReleaseComObject(parent);
                            parent = null;
                        }
                    }
                }
                catch
                {
                    return null;
                }
            else
                return null;
        }

        private bool IsUnderFolder(Outlook.MAPIFolder RootFolderObj, Outlook.MAPIFolder FolderObj)
        {
            if ((RootFolderObj == null) || (FolderObj == null))
            {
                return false;
            }
            else
            {
                string FolderEntryID = String.Empty;
                string RootFolderEntryID = String.Empty;
                try
                {
                    FolderEntryID = FolderObj.EntryID;
                    RootFolderEntryID = RootFolderObj.EntryID;
                }
                catch
                {
                    return false;
                }

                if ((FolderEntryID != String.Empty) &&
                    CultureInfo.InvariantCulture.CompareInfo.IndexOf(FolderEntryID, RootFolderEntryID, CompareOptions.IgnoreCase) == 0)
                {
                    return true;
                }
                else
                {
                    object parent = null;
                    try
                    {
                        parent = FolderObj.Parent;
                    }
                    catch
                    {
                        return false;
                    }
                    try
                    {
                        Outlook.MAPIFolder ParentFolderObj = parent as Outlook.MAPIFolder;
                        return IsUnderFolder(RootFolderObj, ParentFolderObj);
                    }
                    finally
                    {
                        if (parent != null)
                        {
                            Marshal.ReleaseComObject(parent);
                            parent = null;
                        }
                    }
                }
            }
        }

        #endregion

        private void adxRibbonButtonRestoreExplorerRegion_OnClick(object sender, IRibbonControl control, bool pressed)
        {
            if (HiddenExplorerForm != null)
            {
                (HiddenExplorerForm as frmExplorerRegion).ShowAndClearHideIndication();
                HiddenExplorerForm = null;
            }
        }

        private void adxRibbonButton2_OnClick(object sender, IRibbonControl control, bool pressed)
        {
            ProcessInspectorButtonClick();
        }

    }
}

